CSlopeClassifier Class Reference
Perfusion Analysis

Curve classifier for heart perfusion data. More...

`#include <mia/core/slopeclassifier.hh>`

## Data Structures

struct | SCorrelation

## Public Types

typedef CSlopeColumns | Columns
| typedef to define the matrix of curves

## Public Member Functions

| CSlopeClassifier ()
| CSlopeClassifier (const Columns &m, bool mean_stripped)
| CSlopeClassifier (const CSlopeClassifier &other)
int | get_baseline_idx () const
int | get_LV_idx () const
int | get_LV_peak () const
float | get_max_slope_length_diff () const
int | get_perfusion_idx () const
int | get_periodic_idx () const
int | get_RV_idx () const
int | get_RV_peak () const
int | index () const
SCorrelation | max_selfcorrelation () const
CSlopeClassifier & | operator= (const CSlopeClassifier &other)
| assignment operator
| ~CSlopeClassifier ()

## Detailed Description

Curve classifier for heart perfusion data.

Classify a set of curves. This class is mostly usefull for the analysis of series of perfusion images that are aquired using free breathing.

Definition at line 38 of file slopeclassifier.hh.

## Member Typedef Documentation

## Columns

typedef CSlopeColumns CSlopeClassifier::Columns

typedef to define the matrix of curves

Definition at line 42 of file slopeclassifier.hh.

## Constructor & Destructor Documentation

## CSlopeClassifier() [1/3]

CSlopeClassifier::CSlopeClassifier | ( | const Columns & | m,
|  | bool | mean_stripped )

Initialize the classifier with the given curves and the information whether the means were stripped

Parameters

  m | matrix of curves
  mean_stripped |

Referenced by CSlopeClassifier(), and operator=().

## CSlopeClassifier() [2/3]

CSlopeClassifier::CSlopeClassifier | ( | const CSlopeClassifier & | other | ) |

copy constructor

References CSlopeClassifier().

## CSlopeClassifier() [3/3]

CSlopeClassifier::CSlopeClassifier | ( |  | ) |

## ~CSlopeClassifier()

CSlopeClassifier::~CSlopeClassifier | ( |  | ) |

## Member Function Documentation

## get_baseline_idx()

int CSlopeClassifier::get_baseline_idx | ( |  | ) | const

Returns
  the index of the baseline curve or -1 if not identified

## get_LV_idx()

int CSlopeClassifier::get_LV_idx | ( |  | ) | const

Returns
  the index of the LV enhancement curve or -1 if not identified

## get_LV_peak()

int CSlopeClassifier::get_LV_peak | ( |  | ) | const

Returns
  the time index of the LV peak image or -1 if not identified

## get_max_slope_length_diff()

float CSlopeClassifier::get_max_slope_length_diff | ( |  | ) | const

Returns
  the absolute difference between the length of the longest and second longest curve in the list

## get_perfusion_idx()

int CSlopeClassifier::get_perfusion_idx | ( |  | ) | const

Returns
  the index of the perfusion curve or -1 if not identified

## get_periodic_idx()

int CSlopeClassifier::get_periodic_idx | ( |  | ) | const

Returns
  the index of the periodic curve or -1 if none was found

## get_RV_idx()

int CSlopeClassifier::get_RV_idx | ( |  | ) | const

Returns
  the index of the RV enhancement curve or -1 if not identified

## get_RV_peak()

int CSlopeClassifier::get_RV_peak | ( |  | ) | const

Returns
  the time index of the RV peak image or -1 if not identified

## index()

int CSlopeClassifier::index | ( |  | ) | const

Returns
  the column index of this slope

## max_selfcorrelation()

SCorrelation CSlopeClassifier::max_selfcorrelation | ( |  | ) | const

Returns
  the maximum value of the correlation between the curves and the rows for which it occures

## operator=()

CSlopeClassifier & CSlopeClassifier::operator= | ( | const CSlopeClassifier & | other | ) |

assignment operator

References CSlopeClassifier().

The documentation for this class was generated from the following file:

- slopeclassifier.hh